<?php

if ( !defined( 'ABSPATH' ) ) exit;

class Lottószámok_Widget extends WP_Widget {

    function __construct() {
		$widget_ops = array( 
                'classname'   => 'lottoszamok', 
                'description' => __( 'Lottó számok megjelenítése', 'lottoszamok' ) 
            );
		parent::__construct( 'lottoszamok', __( 'Lottó számok', 'lottoszamok' ), $widget_ops );
	}



    function getToken()
    {
        $chars = 'ABCDEFGHIJKLMNOPQURSTXYVWZ0123456789';
        $token = '';
        for ($i = 1; $i <= 10; $i++) {
        	$token .= substr($chars, rand(0, strlen($chars)-1), 1);
        }                
        return $token;
    }

	function widget( $args, $opt ) {

        extract( $args );

        $options = lottoszamok_835_get_options();
        foreach ($opt as $key => $value) {
            $options[$key] = $value;
        }

        $this->token = $this->getToken();


        $html = $before_widget;
        $html .= '<div id="lottoszamok_'.$this->token.'" class="lottoszamok-content" data-token="'.$this->token.'">' . "\r\n";

        if ((isset($options['title'])) and ($options['title'] != '') and ($options['show_title'] == 1)) {
            $html .= $before_title . $options['title'] . $after_title;
        } 

        if ($options['show5']) {
            $html .= '<div class="lottoszamok-logo">'.
                        '<img src="'.plugins_url( 'lottoszamok/assets/images/'.$options['5lotto']['logo'], LOTTOSZAMOK835 ).'" />' .
                     '</div>' .
                     '<div class="lottoszamok-table">'.
                     '<table><tr>';
            $nums = explode(',', $options['5lotto']['nums']);
            foreach ($nums as $num) {
                $html .= '<td>'.$num.'</td>';
            }
            
            $html .= '</tr></table>'.
                     '</div>'.
                     '<div class="lottoszamok-date">'.
                     $options['5lotto']['date-text'].
                     '</div>';
        }

        if ($options['show6']) {
            $html .= '<div class="lottoszamok-logo">'.
                        '<img src="'.plugins_url( 'lottoszamok/assets/images/'.$options['6lotto']['logo'], LOTTOSZAMOK835 ).'" />' .
                     '</div>' .
                     '<div class="lottoszamok-table">'.
                     '<table><tr>';
            $nums = explode(',', $options['6lotto']['nums']);
            foreach ($nums as $num) {
                $html .= '<td>'.$num.'</td>';
            }
            
            $html .= '</tr></table>'.
                     '</div>'.
                     '<div class="lottoszamok-date">'.
                     $options['6lotto']['date-text'].
                     '</div>';
        }
        $html .= '</div>' . "\r\n" .
                 $after_widget;
        echo $html;
    }

	function form( $args ) {

        $options = lottoszamok_835_get_options('lottoszamok_options');
        if (count($args) > 0) {
            foreach ($args as $key => $value) {
                $options[$key] = $value;
            }
        }
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">
				<?php _e( 'Cím', 'lottoszamok' ); ?>:
			</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $options['title'] ); ?>" />
		</p>

		<?php
			if ($options['show_title'] == 1) {
				$checked = ' CHECKED ';
			} else {
				$checked = '';
			}
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'show_title' ); ?>">
				<input type="checkbox" id="<?php echo $this->get_field_id( 'show_title' );?>" name="<?php echo $this->get_field_name( 'show_title' );?>" value="1" <?php echo $checked;?> />
				<?php _e( 'Cím megjelenítése', 'lottoszamok' ); ?>:
			</label>
		</p>

		<?php
			if ($options['show5'] == 1) {
				$checked = ' CHECKED ';
			} else {
				$checked = '';
			}
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'show5' ); ?>">
				<input type="checkbox" id="<?php echo $this->get_field_id( 'show5' );?>" name="<?php echo $this->get_field_name( 'show5' );?>" value="1" <?php echo $checked;?> />
				<?php _e( 'Ötöslottó számai megjelenítése', 'lottoszamok' ); ?>
			</label>
		</p>

		<?php
			if ($options['show6'] == 1) {
				$checked = ' CHECKED ';
			} else {
				$checked = '';
			}
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'show6' ); ?>">
				<input type="checkbox" id="<?php echo $this->get_field_id( 'show6' );?>" name="<?php echo $this->get_field_name( 'show6' );?>" value="1" <?php echo $checked;?> />
				<?php _e( 'Hatoslottó számai megjelenítése', 'lottoszamok' ); ?>
			</label>
		</p>
        
        <?php
    }
    
	function update( $new_options, $old_options ) {

		if (isset($new_options['title'])) {
			$new_options['title'] = trim($new_options['title']);
		} else {
			$new_options['title'] = '';
		}

		if (isset($new_options['show_title'])) {
			$new_options['show_title'] = 1;
		} else {
			$new_options['show_title'] = 0;
		}

		if (isset($new_options['show5'])) {
			$new_options['show5'] = 1;
		} else {
			$new_options['show5'] = 0;
		}

		if (isset($new_options['show6'])) {
			$new_options['show6'] = 1;
		} else {
			$new_options['show6'] = 0;
		}
     

        return $new_options;    
    }     
    
}
