<?php
/*
Plugin Name: Lottószámok
Plugin URI:  http://wpdemo.dovi42.hu/lottoszamok
Description: A legutóbb kihúzott lottószámok megjelenítése
Version:     1.01
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: lottoszamok
Generator:   WP Creator - http://wpcreator.hu - 2020-03-30 08:01:52
*/

if ( !defined( 'ABSPATH' ) ) exit;

require_once ( dirname(__file__) .DIRECTORY_SEPARATOR. 'libs' .DIRECTORY_SEPARATOR. 'class.php' ); 

define('LOTTOSZAMOK835', dirname(__file__));

function lottoszamok_835_register_widget() {
    register_widget( 'Lottószámok_Widget' );
}
add_action( 'widgets_init', 'lottoszamok_835_register_widget' );

// Ha a plugint a WordPress Plugin Directory-ban is publikálnád, akkor ezt az eljárást és a libs/autoupdate.php fájlt törölnöd kell!
// If you were to publish the plugin in the WordPress Plugin Directory, you must delete this procedure and the libs/autoupdate.php file!
function lottoszamok_835_update()
{
    require_once ( dirname(__file__) .DIRECTORY_SEPARATOR. 'libs' .DIRECTORY_SEPARATOR. 'autoupdate.php' ); 
	
    // set auto-update params
	$widget_current_version = '1.01'; // Current version
	$widget_remote_path     = 'http://update.dovi42.hu/lottoszamok/update.php';  
	$widget_slug            = plugin_basename(__FILE__);
	$license_user           = get_site_url();
	$license_key            = '<optional license key>';

	// only perform Auto-Update call if a license_user and license_key is given
	if ( $license_user && $license_key && $widget_remote_path )
	{
		new lottoszamok_835_AutoUpdate ($widget_current_version, $widget_remote_path, $widget_slug, $license_user, $license_key);
	}
}
add_action('init', 'lottoszamok_835_update');


function lottoszamok_835_get_options() 
{ 

    // Set default option values
    $defaults = array(
         'title'      => 'Lottószámok',
         'show_title' => 0,
         'show5'      => 1,
         '5lotto'     => array(
                'date'      => '',
                'date-text' => '',
                'nums'      => '',
                'url'       => 'https://bet.szerencsejatek.hu/cmsfiles/otos.html',
                'logo'      => 'lotto5.png'
            ),
         
         'show6'      => 1,
         '6lotto'     => array(
                'date'      => '',
                'date-text' => '',
                'nums'      => '',
                'url'       => 'https://bet.szerencsejatek.hu/cmsfiles/hatos.html',
                'logo'      => 'lotto6.png'
            )
        );

    // Get the set plugin option values
    $options = get_option('lottoszamok_options');

    $options = wp_parse_args($options, $defaults);
    
    return $options;
}


function lottoszamok_835_load_textdomain() 
{
    load_plugin_textdomain( 'lottoszamok', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}
add_action( 'plugins_loaded', 'lottoszamok_835_load_textdomain' );

function lottoszamok_835_register_widget_styles() 
{
	wp_register_style( 'lottoszamok-css', plugins_url( 'assets/css/lottoszamok.css', __file__ ) );
	wp_enqueue_style( 'lottoszamok-css' );
}
add_action( 'wp_enqueue_scripts', 'lottoszamok_835_register_widget_styles' );

function lottoszamok_835_notices() 
{
    if( get_transient( 'lottoszamok_835_notice' ) ) {
        echo '<div class="notice notice-success"><p>' . get_transient( 'lottoszamok_835_notice' ) . '</p></div>';
        delete_transient( 'lottoszamok_835_notice' );
    }
}
add_action( 'admin_notices', 'lottoszamok_835_notices' );


function lottoszamok_835_activation() 
{
	lottoszamok_835_get5_numbers('5lotto');
	lottoszamok_835_get5_numbers('6lotto');
    
    set_transient( 'lottoszamok_835_notice', __('A lottó számok frissítésre kerültek.', 'lottoszamok') );
    
	if( !wp_next_scheduled( 'lottoszamok_835_cron_job' ) ) {
		wp_schedule_event( time(), 'hourly', 'lottoszamok_835_cron_job' );
	}
}
register_activation_hook( __file__, 'lottoszamok_835_activation' );

function lottoszamok_835_deactivation() 
{
    delete_option('lottoszamok_options');

	$timestamp = wp_next_scheduled ('lottoszamok_835_cron_job');
	wp_unschedule_event ($timestamp, 'lottoszamok_835_cron_job');
	wp_clear_scheduled_hook('lottoszamok_835_cron_job');
}
register_deactivation_hook( __file__, 'lottoszamok_835_deactivation' );


function lottoszamok_835_get5_numbers($type = '5lotto')
{
    $options = lottoszamok_835_get_options();
    
    $page = file_get_contents($options[$type]['url']);

    $regex = '/<tr>(\s*.*?)<\/tr>/s';
    preg_match_all( $regex, $page, $matches);
    $last = $matches[1][1];
    
    $regex = '/<td>(\s*.*?)<\/td>/s';
    preg_match_all( $regex, $last, $matches);
    $data = $matches[1];

    $date = str_replace('.', '-', substr($data[2], 0, -1));
    $options[$type]['date'] = $date;
    $options[$type]['date-text'] = '<span class="week">' . sprintf( __('%s. hét ', 'lottoszamok'), $data[1]) . ',</span> ' . date_i18n('F j., l', strtotime($date));

    $nums = array();
    for ($i = count($data)-substr($type, 0, 1); $i <= count($data)-1; $i++) {
    	$nums[] = $data[$i];
    }
    $options[$type]['nums'] = implode(',', $nums);
    
    update_option('lottoszamok_options', $options);
}

function lottoszamok_835_cron_function() {
	
    $options = lottoszamok_835_get_options();
    
    $last = strtotime('+6 days', strtotime($options['5lotto']['date']));
    if ($last < strtotime('now')) {
        lottoszamok_835_get5_numbers('5lotto');
    }
    $last = strtotime('+6 days', strtotime($options['6lotto']['date']));
    if ($last < strtotime('now')) {
        lottoszamok_835_get5_numbers('6lotto');
    }
}
add_action('lottoszamok_835_cron_job', 'lottoszamok_835_cron_function');

// A widget funkcióit a lottoszamok/libs/class.php -> function widget( $args, $opt ) függvényben programozhatod le
// Wigdget functions see: lottoszamok/libs/class.php -> function widget( $args, $opt )